List Issue Views
GET /api/0/organizations/{organization_id_or_slug}/group-search-views/
List the current organization member's custom views
Copied
Retrieve a list of custom views for the current organization member.
Retrieve a list of custom views for the current organization member.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
createdBy(string)- choices:
- me
- others
Whether to return issue views created by the current user or other members.
meothers
sort(array(string))- choices:
- popularity
- -popularity
- visited
- -visited
- name
- -name
- created
- -created
The fields used to sort issue views, in order of precedence.
query(string)A case-insensitive search against issue view names and queries.
cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:member:readmember:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/group-search-views/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied.
Was this helpful?